Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain.client
Class ListOfValuesImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.common.domain.client.ListOfValuesImpl

All Implemented Interfaces:
  AttributedObject, InternalURI, ListOfValues, Resource, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class ListOfValuesImpl

extends ResourceImpl
implements ListOfValues

Version:
  $Id: ListOfValuesImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`ListOfValuesImpl()`

Method Summary
`void` | `addValue(ListOfValuesItem item)`
`protected java.lang.Class` | `getImplementingItf()`
`ListOfValuesItem[]` | `getValues()`
`void` | `removeValue(ListOfValuesItem item)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### ListOfValuesImpl

    public ListOfValuesImpl()

Method Detail

### getValues

    public ListOfValuesItem[] getValues()

  Specified by:
    `getValues` in interface `ListOfValues`

### addValue

    public void addValue(ListOfValuesItem item)

  Specified by:
    `addValue` in interface `ListOfValues`

### removeValue

    public void removeValue(ListOfValuesItem item)

  Specified by:
    `removeValue` in interface `ListOfValues`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.